curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/workspaces \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"tenantName": "<string>",
"clusterId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "workspace",
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
}
},
"environmentId": "<string>",
"accountId": "<string>",
"isSystemWs": true,
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}List workspaces associated with the user. Optional filters include clusterId, fqn, and workspace name. Pagination is available based on query parameters.
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/workspaces \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"tenantName": "<string>",
"clusterId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "workspace",
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
}
},
"environmentId": "<string>",
"accountId": "<string>",
"isSystemWs": true,
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Number of items per page
1 <= x <= 100010
Number of items to skip
x >= 00
ClusterId of the Cluster
Workspace Name
Workspace FQN
Returns all the workspaces associated with a user and also the response includes paginated data.
Array of Workspace
Show child attributes
Show child attributes
Subject ID
Subject type
user, team, serviceaccount, virtualaccount Subject slug
Subject display name
Show child attributes
+value=workspace
workspace +label=Cluster FQN +sort=150 +icon=fa-spider-web:#326ce5 +uiProps={"disableCloudProvider": true}
+label=Name +sort=200 +icon=fa-desktop:#black +message=3 to 32 lower case characters long alphanumeric word, may contain - in between, cannot start with a number
+label=Environment +sort=300 +icon=fa-tags:#black +usage=Tag the environment like dev, staging or production. You will need to create environments if you don't have already.
+label=Permissions +sort=500 +uiType=Permissions +uiProps={"allowedResources": {"mlf-project": {"title": "ML Repo", "description": "ML Repos are used to store models and artifacts like git repos. MLRepos are backed by S3 / GCS / Azure bucket and you can have different ml repos with different set of permissions. View Docs"}}}
Show child attributes
+label= Resource FQN +usage=The fully qualified name of the resource
+label=Resource Type +usage=The type of the resource (cluster, workspace, etc.)
+label=Role ID +usage=The role id of the role to be assigned to the service account for that resource
+label=Owner +usage=Names of the owners that own this resource
Show child attributes
+label=Account Name +sort=1 +usage=The name of the account that owns this resource +placeholder=Search Account +uiType=AccountSelect +uiProps={"maxAllowedAccounts": 1}
Was this page helpful?